## google-mock 1.4.0

=== make/Makefile ===
# A sample Makefile for building both Google Mock and Google Test and
# using them in user tests.  This file is self-contained, so you don't
# need to use the Makefile in Google Test's source tree.  Please tweak
# it to suit your environment and project.  You may want to move it to
# your project's root directory.
#
# SYNOPSIS:
#
#   make [all]  - makes everything.
#   make TARGET - makes the given target.
#   make clean  - removes all files generated by make.

# Please tweak the following variable definitions as needed by your
# project, except GMOCK_HEADERS and GTEST_HEADERS, which you can use
# in your own targets but shouldn't modify.

# Points to the root of Google Test, relative to where this file is.
# Remember to tweak this if you move this file, or if you want to use
# a copy of Google Test at a different location.
GTEST_DIR = ../gtest

# Points to the root of Google Mock, relative to where this file is.
# Remember to tweak this if you move this file.
GMOCK_DIR = ..

# Where to find user code.
USER_DIR = ../test

# Flags passed to the preprocessor.
CPPFLAGS += -I$(GMOCK_DIR) -I$(GMOCK_DIR)/include \
            -I$(GTEST_DIR) -I$(GTEST_DIR)/include

# Flags passed to the C++ compiler.
CXXFLAGS += -g -Wall -Wextra

# All tests produced by this Makefile.  Remember to add new tests you
# created to the list.
TESTS = gmock_link_test gmock_test

# All Google Test headers.  Usually you shouldn't change this
# definition.
GTEST_HEADERS = $(GTEST_DIR)/include/gtest/*.h \
                $(GTEST_DIR)/include/gtest/internal/*.h

# All Google Mock headers. Note that all Google Test headers are
# included here too, as they are #included by Google Mock headers.
# Usually you shouldn't change this definition.	
GMOCK_HEADERS = $(GMOCK_DIR)/include/gmock/*.h \
                $(GMOCK_DIR)/include/gmock/internal/*.h \
                $(GTEST_HEADERS)

# House-keeping build targets.

all : $(TESTS)

clean :
	rm -f $(TESTS) gmock.a gmock_main.a *.o

# Builds gmock.a and gmock_main.a.  These libraries contain both
# Google Mock and Google Test.  A test should link with either gmock.a
# or gmock_main.a, depending on whether it defines its own main()
# function.  It's fine if your test only uses features from Google
# Test (and not Google Mock).

# Usually you shouldn't tweak such internal variables, indicated by a
# trailing _.
GTEST_SRCS_ = $(GTEST_DIR)/src/*.cc $(GTEST_DIR)/src/*.h $(GTEST_HEADERS)
GMOCK_SRCS_ = $(GMOCK_DIR)/src/*.cc $(GMOCK_HEADERS)

# For simplicity and to avoid depending on implementation details of
# Google Mock and Google Test, the dependencies specified below are
# conservative and not optimized.  This is fine as Google Mock and
# Google Test compile fast and for ordinary users their source rarely
# changes.
gtest-all.o : $(GTEST_SRCS_)
	$(CXX) $(CPPFLAGS) $(CXXFLAGS) -c $(GTEST_DIR)/src/gtest-all.cc

gmock-all.o : $(GMOCK_SRCS_)
	$(CXX) $(CPPFLAGS) $(CXXFLAGS) -c $(GMOCK_DIR)/src/gmock-all.cc

gmock_main.o : $(GMOCK_SRCS_)
	$(CXX) $(CPPFLAGS) $(CXXFLAGS) -c $(GMOCK_DIR)/src/gmock_main.cc

gmock.a : gmock-all.o gtest-all.o
	$(AR) $(ARFLAGS) $@ $^

gmock_main.a : gmock-all.o gtest-all.o gmock_main.o
	$(AR) $(ARFLAGS) $@ $^

# Builds a sample test.

gmock_link_test.o : $(USER_DIR)/gmock_link_test.cc \
                    $(USER_DIR)/gmock_link_test.h $(GMOCK_HEADERS)
	$(CXX) $(CPPFLAGS) $(CXXFLAGS) -c $(USER_DIR)/gmock_link_test.cc

gmock_link2_test.o : $(USER_DIR)/gmock_link2_test.cc \
                     $(USER_DIR)/gmock_link_test.h $(GMOCK_HEADERS)
	$(CXX) $(CPPFLAGS) $(CXXFLAGS) -c $(USER_DIR)/gmock_link2_test.cc

gmock_link_test : gmock_link_test.o gmock_link2_test.o gmock_main.a
	$(CXX) $(CPPFLAGS) $(CXXFLAGS) $^ -o $@

# Builds another sample test.

gmock_test.o : $(USER_DIR)/gmock_test.cc $(GMOCK_HEADERS)
	$(CXX) $(CPPFLAGS) $(CXXFLAGS) -c $(USER_DIR)/gmock_test.cc

gmock_test : gmock_test.o gmock_main.a
	$(CXX) $(CPPFLAGS) $(CXXFLAGS) $^ -o $@

=== gtest/scons/SConstruct ===
# -*- Python -*-
# Copyright 2008 Google Inc. All Rights Reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions are
# met:
#
#     * Redistributions of source code must retain the above copyright
# notice, this list of conditions and the following disclaimer.
#     * Redistributions in binary form must reproduce the above
# copyright notice, this list of conditions and the following disclaimer
# in the documentation and/or other materials provided with the
# distribution.
#     * Neither the name of Google Inc. nor the names of its
# contributors may be used to endorse or promote products derived from
# this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#
# Author: joi@google.com (Joi Sigurdsson)
# Author: vladl@google.com (Vlad Losev)
#
# Base build file for Google Test Tests.
#
# Usage:
#   cd to the directory with this file, then
#   ./scons.py [OPTIONS]
#
# where frequently used command-line options include:
#     -h               print usage help.
#     BUILD=all        build all build types.
#     BUILD=win-opt    build the given build type.

EnsurePythonVersion(2, 3)

sconstruct_helper = SConscript('SConstruct.common')

sconstruct_helper.Initialize(build_root_path='..',
                             support_multiple_win_builds=False)

win_base = sconstruct_helper.MakeWinBaseEnvironment()

if win_base.get('MSVS_VERSION', None) == '7.1':
  sconstruct_helper.AllowVc71StlWithoutExceptions(win_base)

sconstruct_helper.MakeWinDebugEnvironment(win_base, 'win-dbg')
sconstruct_helper.MakeWinOptimizedEnvironment(win_base, 'win-opt')

sconstruct_helper.ConfigureGccEnvironments()

sconstruct_helper.BuildSelectedEnvironments()

=== scripts/test/Makefile ===
# A Makefile for fusing Google Mock and building a sample test against it.
#
# SYNOPSIS:
#
#   make [all]  - makes everything.
#   make TARGET - makes the given target.
#   make check  - makes everything and runs the built sample test.
#   make clean  - removes all files generated by make.

# Points to the root of fused Google Mock, relative to where this file is.
FUSED_GMOCK_DIR = output

# Paths to the fused gmock files.
FUSED_GTEST_H = $(FUSED_GMOCK_DIR)/gtest/gtest.h
FUSED_GMOCK_H = $(FUSED_GMOCK_DIR)/gmock/gmock.h
FUSED_GMOCK_GTEST_ALL_CC = $(FUSED_GMOCK_DIR)/gmock-gtest-all.cc

# Where to find the gmock_test.cc.
GMOCK_TEST_CC = ../../test/gmock_test.cc

# Where to find gmock_main.cc.
GMOCK_MAIN_CC = ../../src/gmock_main.cc

# Flags passed to the preprocessor.
CPPFLAGS += -I$(FUSED_GMOCK_DIR)

# Flags passed to the C++ compiler.
CXXFLAGS += -g

all : gmock_test

check : all
	./gmock_test

clean :
	rm -rf $(FUSED_GMOCK_DIR) gmock_test *.o

$(FUSED_GTEST_H) :
	../fuse_gmock_files.py $(FUSED_GMOCK_DIR)

$(FUSED_GMOCK_H) :
	../fuse_gmock_files.py $(FUSED_GMOCK_DIR)

$(FUSED_GMOCK_GTEST_ALL_CC) :
	../fuse_gmock_files.py $(FUSED_GMOCK_DIR)

gmock-gtest-all.o : $(FUSED_GTEST_H) $(FUSED_GMOCK_H) $(FUSED_GMOCK_GTEST_ALL_CC)
	$(CXX) $(CPPFLAGS) $(CXXFLAGS) -c $(FUSED_GMOCK_GTEST_ALL_CC)

gmock_main.o : $(FUSED_GTEST_H) $(FUSED_GMOCK_H) $(GMOCK_MAIN_CC)
	$(CXX) $(CPPFLAGS) $(CXXFLAGS) -c $(GMOCK_MAIN_CC)

gmock_test.o : $(FUSED_GTEST_H) $(FUSED_GMOCK_H) $(GMOCK_TEST_CC)
	$(CXX) $(CPPFLAGS) $(CXXFLAGS) -c $(GMOCK_TEST_CC)

gmock_test : gmock_test.o gmock-gtest-all.o gmock_main.o
	$(CXX) $(CPPFLAGS) $(CXXFLAGS) $^ -o $@

=== debian/changelog ===
google-mock (1.4.0-3) unstable; urgency=low

  * Quick fix for test failure on big endian architectures (Closes: #580514)

 -- Fredrik Hallenberg <hallon@debian.org>  Mon, 17 May 2010 20:06:27 +0200

google-mock (1.4.0-2) unstable; urgency=low

  * Depend on libgtest instead of building internal version (Closes: #580770)

 -- Fredrik Hallenberg <hallon@debian.org>  Sun, 16 May 2010 06:56:38 +0200

google-mock (1.4.0-1) unstable; urgency=low

  * Initial release (Closes: #575953)

 -- Fredrik Hallenberg <hallon@debian.org>  Tue, 30 Mar 2010 20:15:41 +0200

=== debian/control ===
Source: google-mock
Section: devel
Priority: optional
Maintainer: Fredrik Hallenberg <hallon@debian.org>
Build-Depends: debhelper (>= 7.0.50~), autotools-dev, python-support, libgtest-dev (>= 1.5.0)
Standards-Version: 3.8.4
Homepage: http://code.google.com/p/googlemock/

Package: google-mock
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, libgtest-dev (>= 1.5.0)
Description: Google's framework for writing and using C++ mock classes
 Inspired by jMock, EasyMock, and Hamcrest, and designed with C++'s 
 specifics in mind, it can help you derive better designs of your 
 system and write better tests.
 .
 Google Mock:
 .
  - provides a declarative syntax for defining mocks,
  - can easily define partial (hybrid) mocks, which are a cross of real
    and mock objects,
  - handles functions of arbitrary types and overloaded functions,
  - comes with a rich set of matchers for validating function arguments,
  - uses an intuitive syntax for controlling the behavior of a mock,
  - does automatic verification of expectations (no record-and-replay
    needed),
  - allows arbitrary (partial) ordering constraints on
    function calls to be expressed,
  - lets a user extend it by defining new matchers and actions.
  - does not use exceptions, and
  - is easy to learn and use.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh  $@

override_dh_auto_configure:
	dh_auto_configure -- --enable-external-gtest

override_dh_install:
	dh_install
	for f in $$(ls debian/google-mock/usr/bin/*.py); do mv $$f $$(echo $$f | sed s/\.py//); done

override_dh_pysupport:
	dh_pysupport debian/usr/share/google-mock/cpp

## google-mock 1.5.0

=== debian/changelog ===
google-mock (1.5.0-2) unstable; urgency=low

  * Improve sloppy linking (closes: #615727)

 -- Fredrik Hallenberg <hallon@debian.org>  Tue, 01 Mar 2011 22:11:28 +0100

google-mock (1.5.0-1) unstable; urgency=low

  * New upstream release (Closes: #613519)

 -- Fredrik Hallenberg <hallon@debian.org>  Fri, 18 Feb 2011 08:15:43 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Fredrik Hallenberg <hallon@debian.org>
 Build-Depends: debhelper (>= 7.0.50~), autotools-dev, python-support, libgtest-dev (>= 1.5.0)
-Standards-Version: 3.8.4
+Standards-Version: 3.9.1
 Homepage: http://code.google.com/p/googlemock/
 
 Package: google-mock

## google-mock 1.6.0

=== debian/changelog ===
google-mock (1.6.0-1) unstable; urgency=low

  * New upstream release (closes: #631676)

    As of this version upstream does not recommend using precompiled libraries
    so the package now only contains sources and includes. See the
    README.Debian file for instructions on how to build your own gmock
    library.

 -- Fredrik Hallenberg <hallon@debian.org>  Wed, 06 Jul 2011 09:31:47 +0200

google-mock (1.5.0-3) unstable; urgency=low

  * Removed .la-files (closes: #621241)

 -- Fredrik Hallenberg <hallon@debian.org>  Tue, 31 May 2011 08:52:15 +0200

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,13 @@
 Section: devel
 Priority: optional
 Maintainer: Fredrik Hallenberg <hallon@debian.org>
-Build-Depends: debhelper (>= 7.0.50~), autotools-dev, python-support, libgtest-dev (>= 1.5.0)
-Standards-Version: 3.9.1
+Build-Depends: debhelper (>= 7.0.50~), autotools-dev, python-support, libgtest-dev (>= 1.6.0)
+Standards-Version: 3.9.2
 Homepage: http://code.google.com/p/googlemock/
 
 Package: google-mock
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, libgtest-dev (>= 1.5.0)
+Depends: ${misc:Depends}, ${python:Depends}, libgtest-dev (>= 1.6.0)
 Description: Google's framework for writing and using C++ mock classes
  Inspired by jMock, EasyMock, and Hamcrest, and designed with C++'s 
  specifics in mind, it can help you derive better designs of your

=== debian/rules ===
--- 
+++ 
@@ -7,12 +7,16 @@
 %:
 	dh  $@
 
+override_dh_auto_install:
+	true
+
 override_dh_auto_configure:
 	dh_auto_configure -- --enable-external-gtest
 
 override_dh_install:
 	dh_install
 	for f in $$(ls debian/google-mock/usr/bin/*.py); do mv $$f $$(echo $$f | sed s/\.py//); done
+	chmod a-x debian/google-mock/usr/share/gmock/cpp/*
 
 override_dh_pysupport:
 	dh_pysupport debian/usr/share/google-mock/cpp

## google-mock 1.6.0%2Bsvn437

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,16 @@
 Source: google-mock
 Section: devel
 Priority: optional
-Maintainer: Fredrik Hallenberg <hallon@debian.org>
-Build-Depends: debhelper (>= 7.0.50~), autotools-dev, python-support, libgtest-dev (>= 1.6.0)
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Fredrik Hallenberg <hallon@debian.org>
+Build-Depends: debhelper (>= 7.0.50~), cmake, python
 Standards-Version: 3.9.2
 Homepage: http://code.google.com/p/googlemock/
 
 Package: google-mock
 Architecture: any
-Depends: ${misc:Depends}, ${python:Depends}, libgtest-dev (>= 1.6.0)
+Multi-Arch: same
+Depends: ${misc:Depends}, ${python:Depends}
 Description: Google's framework for writing and using C++ mock classes
  Inspired by jMock, EasyMock, and Hamcrest, and designed with C++'s 
  specifics in mind, it can help you derive better designs of your

## google-mock 1.6.0+svn437

=== debian/changelog ===
google-mock (1.6.0+svn437-0ubuntu5) saucy; urgency=low

  * No change rebuild to gain python:any dependency, britney now knows
    about that.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Mon, 16 Sep 2013 16:35:37 +0100

google-mock (1.6.0+svn437-0ubuntu4) saucy; urgency=low

  * Revert doko's depends on python:any, britney doesn't understand it

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 26 Aug 2013 11:06:12 +0200

google-mock (1.6.0+svn437-0ubuntu3) saucy; urgency=low

  * Make google-mock Multi-Arch: same (even the generated files
    look like the same). Alternative would be M-A: foreign, or
    just provide an architecture independent package.
  * Depend on python:any.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 07 Aug 2013 14:05:04 +0200

google-mock (1.6.0+svn437-0ubuntu2) saucy; urgency=low

  * Since this package includes its own copy of gtest, it shouldn't depend
    on gtest. Otherwise it's hard to mask /usr/include with
    /usr/src/gmock/gtest/include, and results in build-failures since this
    package is not compatible with older gtest.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Fri, 02 Aug 2013 15:23:28 +0100

google-mock (1.6.0+svn437-0ubuntu1) saucy; urgency=low

  [ Matthias Klose ]
  * Merge with Debian, discard the Ubuntu changes.
  * Build using dh_python2.

  [ Didier Roche ]
  * New upstream snapshot (LP: #1185265)
  * Remove explicit build with external gtest (not anymore supported upstream)
  * Add debian/patches/include_system_path.patch to reinclude system path in
    mock
  * Include python build-dep as built with dh_python2
  * Add missing cmake build-dep
  * Ship CMakeLists.txt as a convenience for other packages using gmock and
    cmake and update debian/README.Debian with an example to use it
  * Ship gtest internal version with google-mock, as the snapshot doesn't work
    with the system old gtest, ignore during installation some project files
  * debian/patches/support_gcc_4.7.patch: support older gcc with C++11 (disabled
    for now)

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 04 Jul 2013 09:54:08 +0200

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh  $@ --with python2

override_dh_auto_install:
	true

override_dh_install:
	dh_install -XLICENSE -X*.sln -X*proj
	for f in $$(ls debian/google-mock/usr/bin/*.py); do mv $$f $$(echo $$f | sed s/\.py//); done
	chmod a-x debian/google-mock/usr/share/gmock/cpp/*

=== debian/watch ===
# Example watch control file for uscan
# Rename this file to "watch" and then you can run the "uscan" command
# to check for upstream updates and more.
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

http://code.google.com/p/googlemock/downloads/list gmock-(.*).tar.bz2

## google-mock 1.7.0

=== debian/changelog ===
google-mock (1.7.0-2) unstable; urgency=low

  * Distribute CmakeLists.txt in /usr/src/gmock (closes: #666439)
  * Clean obsolete patches.

 -- Fredrik Hallenberg <hallon@debian.org>  Sun, 28 Jul 2013 16:51:21 +0200

google-mock (1.7.0-1) unstable; urgency=low

  * New upstream releases (closes: #716944) to stay compatible 
    with gtest.
  * add debian/source/options and ignore the subdirectory .pc in it
  * Non-maintainer upload with permission of the maintainer

 -- Andreas Barth <aba@ayous.org>  Sat, 27 Jul 2013 18:38:51 +0000

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,14 @@
 Source: google-mock
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Fredrik Hallenberg <hallon@debian.org>
-Build-Depends: debhelper (>= 7.0.50~), cmake, python
-Standards-Version: 3.9.2
+Maintainer: Fredrik Hallenberg <hallon@debian.org>
+Build-Depends: debhelper (>= 7.0.50~), autotools-dev, libgtest-dev (>= 1.6.0)
+Standards-Version: 3.9.4
 Homepage: http://code.google.com/p/googlemock/
 
 Package: google-mock
 Architecture: any
-Multi-Arch: same
-Depends: ${misc:Depends}, ${python:Depends}
+Depends: ${misc:Depends}, libgtest-dev (>= 1.6.0), python
 Description: Google's framework for writing and using C++ mock classes
  Inspired by jMock, EasyMock, and Hamcrest, and designed with C++'s 
  specifics in mind, it can help you derive better designs of your

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh --without pysupport $@

override_dh_auto_install:
	true

override_dh_auto_configure:
	dh_auto_configure -- --enable-external-gtest

override_dh_install:
	dh_install
	for f in $$(ls debian/google-mock/usr/bin/*.py); do mv $$f $$(echo $$f | sed s/\.py//); done
	chmod a-x debian/google-mock/usr/share/gmock/cpp/*

## google-mock 1.7.0-18092013

=== debian/changelog ===
google-mock (1.7.0-18092013-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * The previous upload fixed google-mock for its own testsuite, but not for
    client projects. Backport a patch from an upstream issue to modify some
    functions to not return NULL, working around the problem caused for
    google-mock itself and for its clients. (Closes: #833449) (LP: #1609793)
  * This means we don't need -fno-delete-null-pointer-checks any more, so
    remove that workaround.

 -- Iain Lane <iain@orangesquash.org.uk>  Thu, 04 Aug 2016 15:37:37 +0100

google-mock (1.7.0-18092013-2) unstable; urgency=medium

  * Use -fno-delete-null-pointer-checks to work with gcc 6.
    (closes: #812289). Just a workaround, hopefully a proper fix is
    done in a future upstream release.

 -- Fredrik Hallenberg <hallon@debian.org>  Wed, 29 Jun 2016 17:32:19 +0200

google-mock (1.7.0-18092013-1) unstable; urgency=medium

  * New upstream archive based on gmock-1.7.0.zip from 18-09-2013. 
    The current 1.7.0 orig archive is from July 2013, I suppose it was 
    a prerelease of some sort. (closes: #750214)

 -- Fredrik Hallenberg <hallon@debian.org>  Mon, 02 Jun 2014 21:04:10 +0200

google-mock (1.7.0-4) unstable; urgency=medium

  * Fixed python dependency (closes: #746659)

 -- Fredrik Hallenberg <hallon@debian.org>  Fri, 02 May 2014 22:50:38 +0200

google-mock (1.7.0-3) unstable; urgency=medium

  * Applied patch from Dimitri John Ledkov <xnox@debian.org> with the changes 
    below. (closes: #745577)
  * Bump debhelper compat to 9 & clean up
  * Mark google-mock as Multi-Arch:same, to allow cross-building package
    that build-depend on google-mock.
  * Depend on python:any.

 -- Fredrik Hallenberg <hallon@debian.org>  Thu, 01 May 2014 22:18:27 +0200

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,14 @@
 Section: devel
 Priority: optional
 Maintainer: Fredrik Hallenberg <hallon@debian.org>
-Build-Depends: debhelper (>= 7.0.50~), autotools-dev, libgtest-dev (>= 1.6.0)
-Standards-Version: 3.9.4
-Homepage: http://code.google.com/p/googlemock/
+Build-Depends: debhelper (>= 9), autotools-dev, libgtest-dev (>= 1.6.0)
+Standards-Version: 3.9.8
+Homepage: https://github.com/google/googletest/tree/master/googlemock
 
 Package: google-mock
 Architecture: any
-Depends: ${misc:Depends}, libgtest-dev (>= 1.6.0), python
+Multi-Arch: same
+Depends: ${misc:Depends}, python:any, libgtest-dev (>= 1.6.0)
 Description: Google's framework for writing and using C++ mock classes
  Inspired by jMock, EasyMock, and Hamcrest, and designed with C++'s 
  specifics in mind, it can help you derive better designs of your

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

%:
	dh $@

override_dh_auto_install:
	true

override_dh_auto_configure:
	dh_auto_configure -- --enable-external-gtest

override_dh_install:
	dh_install
	for f in $$(ls debian/google-mock/usr/bin/*.py); \
	  do mv $$f $$(echo $$f | sed s/\.py//); \
	done
	chmod a-x debian/google-mock/usr/share/gmock/cpp/*
